compat-openssl10-pkcs11-helper-1.22-6.fc29.i686.rpm


Advertisement

Description

compat-openssl10-pkcs11-helper - A library for using PKCS#11 providers

Property Value
Distribution Fedora Rawhide
Repository Fedora x86_64
Package name compat-openssl10-pkcs11-helper
Package version 1.22
Package release 6.fc29
Package architecture i686
Package type rpm
Installed size 166.96 KB
Download size 66.03 KB
Official Mirror dl.fedoraproject.org
pkcs11-helper is a library that simplifies the interaction with PKCS#11
providers for end-user applications using a simple API and optional OpenSSL
engine. The library allows using multiple PKCS#11 providers at the same time,
enumerating available token certificates, or selecting a certificate directly
by serialized id, handling card removal and card insert events, handling card
re-insert to a different slot, supporting session expiration and much more all
using a simple API.

Alternatives

Package Version Architecture Repository
compat-openssl10-pkcs11-helper-1.22-6.fc29.x86_64.rpm 1.22 x86_64 Fedora
compat-openssl10-pkcs11-helper - - -

Requires

Name Value
libc.so.6(GLIBC_2.7) -
libcrypto.so.10 -
libcrypto.so.10(OPENSSL_1.0.1_EC) -
libcrypto.so.10(libcrypto.so.10) -
libdl.so.2 -
libdl.so.2(GLIBC_2.0) -
libdl.so.2(GLIBC_2.1) -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
libpthread.so.0(GLIBC_2.1) -
libpthread.so.0(GLIBC_2.3.2) -
rtld(GNU_HASH) -

Provides

Name Value
compat-openssl10-pkcs11-helper = 1.22-6.fc29
compat-openssl10-pkcs11-helper(x86-32) = 1.22-6.fc29
libpkcs11-helper.so.100 -

Download

Type URL
Binary Package compat-openssl10-pkcs11-helper-1.22-6.fc29.i686.rpm
Source Package compat-openssl10-pkcs11-helper-1.22-6.fc29.src.rpm

Install Howto

Install the compat-openssl10-pkcs11-helper rpm package:

# dnf install compat-openssl10-pkcs11-helper

Files

Path
/usr/lib/libpkcs11-helper.so.100
/usr/lib/libpkcs11-helper.so.100.0.0
/usr/lib/.build-id/
/usr/lib/.build-id/e5/218376b713f56974bcb8c5036798f15db8526f
/usr/share/doc/compat-openssl10-pkcs11-helper/AUTHORS
/usr/share/doc/compat-openssl10-pkcs11-helper/ChangeLog
/usr/share/doc/compat-openssl10-pkcs11-helper/README
/usr/share/doc/compat-openssl10-pkcs11-helper/THANKS
/usr/share/licenses/compat-openssl10-pkcs11-helper/COPYING
/usr/share/licenses/compat-openssl10-pkcs11-helper/COPYING.BSD
/usr/share/licenses/compat-openssl10-pkcs11-helper/COPYING.GPL

Changelog

2018-07-12 - Fedora Release Engineering <releng@fedoraproject.org> - 1.22-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
2018-06-28 - Rex Dieter <rdieter@fedoraproject.org> - 1.22-5
- use %make_build %make_install %ldconfig_scriptlets
2018-02-07 - Fedora Release Engineering <releng@fedoraproject.org> - 1.22-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild
2017-08-02 - Fedora Release Engineering <releng@fedoraproject.org> - 1.22-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild
2017-07-26 - Fedora Release Engineering <releng@fedoraproject.org> - 1.22-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
2017-04-25 - Rex Dieter <rdieter@fedoraproject.org> - 1.22-1
- compat-openssl10-pkcs11-helper (#1445349)

See Also

Package Description
compat-openssl10-pkcs11-helper-devel-1.22-6.fc29.i686.rpm Development files for pkcs11-helper
compat-openssl10-pkcs11-helper-devel-1.22-6.fc29.x86_64.rpm Development files for pkcs11-helper
compat-readline5-5.2-32.fc29.i686.rpm A library for editing typed command lines
compat-readline5-5.2-32.fc29.x86_64.rpm A library for editing typed command lines
compat-readline5-devel-5.2-32.fc29.i686.rpm Files needed to develop programs which use the readline library
compat-readline5-devel-5.2-32.fc29.x86_64.rpm Files needed to develop programs which use the readline library
compat-readline5-static-5.2-32.fc29.i686.rpm Static libraries for the readline library
compat-readline5-static-5.2-32.fc29.x86_64.rpm Static libraries for the readline library
compat-readline6-6.3-15.fc29.i686.rpm A library for editing typed command lines
compat-readline6-6.3-15.fc29.x86_64.rpm A library for editing typed command lines
compat-readline6-devel-6.3-15.fc29.i686.rpm Files needed to develop programs which use the readline library
compat-readline6-devel-6.3-15.fc29.x86_64.rpm Files needed to develop programs which use the readline library
compat-readline6-static-6.3-15.fc29.i686.rpm Static libraries for the readline library
compat-readline6-static-6.3-15.fc29.x86_64.rpm Static libraries for the readline library
compat-rust-serde_derive+default-devel-1.0.58-2.fc30.noarch.rpm Macros 1.1 implementation of #[derive(Serialize, Deserialize)]
Advertisement
Advertisement